Subject: Re: bug#21782: 25.0.50; New functions nfront/front

From: Nicolas Petton <[email-masked]>
Date: Fri, 30 Oct 2015 11:03:50 +0100

Constantino Calancha <[email-masked]> writes:

Hi,

> As i mentioned, they are not exactly the same function as seq-take.

I think adding these functions would mostly be code duplication.  Please
bear in mind that seq.el was written to provide a good built-in sequence
library in Emacs.  If seq-take doesn't provide exactly what you need,
you could propose a patch to improve it instead.

> Why i need to pollute my global space with all seq.el just to use this
> fundamental operation on a list?

All functions in seq.el are prefixed, so there's no global namespace
polluting, and I consider many functions provided by seq.el to be
fundamental operations on sequences.

Also, seq.el is not pre-loaded today because it's a new library, so it
is not widely used in Emacs yet, but that could change in the future.

Nico